Subject: bug#66072: Duplicate/conflicting definitions for ocl-icd

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Mon, 18 Sep 2023 19:57:12 +0200

Hi Lars, Guillaume,

Thanks for catching the duplicate!  I removed the ‘deprecated’ one in 
commit 71ec12d8bacd3901e8c7853d3c9403f3d09dfb31.

On 2023-09-18 16:23, Lars-Dominik Braun wrote:
>> Which is the good one?
> 
> according to commit 4d1157fca7627c11672df0cd80fae4f4d27e2185 ocl-icd
> was dead, which is why I replaced it.

It's not clear to me how opencl-icd-loader is related to ocl-icd, so I 
can't partake in that discussion.  They look like totally different 
packages to me.

My only motivation was to fix beignet, which was broken by the 
ocl-icd(.h) removal.

Kind regards,

T G-R

Sent from a Web browser.  Excuse or enjoy my brevity.